Debian Bug report logs - #588538
fix kern.module_path for native kernel

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Tuco <tuco.xyz@gmail.com>

Date: Fri, 9 Jul 2010 13:24:01 UTC

Severity: wishlist

Tags: patch

Found in version freebsd-utils/8.0-11

Fixed in version freebsd-utils/8.2+ds3-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#588538; Package freebsd-utils. (Fri, 09 Jul 2010 13:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 09 Jul 2010 13:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: submit <submit@bugs.debian.org>
Subject: fix kern.module_path for native kernel
Date: Fri, 9 Jul 2010 15:21:23 +0200
[Message part 1 (text/plain, inline)]
Package: freebsd-utils
Version: 8.0-11
Severity: wishlist
Tags: patch

Hi!

Using a native FreeBSD kernel on Debian GNU/kFreeBSD brings trouble
because of kern.module_path not being set early enough (it is needed
when /etc/init.d/freebsd-utils mounts /proc). Here is a patch.
[module_path.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#588538; Package freebsd-utils. (Fri, 09 Jul 2010 15:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 09 Jul 2010 15:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 588538@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Tuco <tuco.xyz@gmail.com>, 588538@bugs.debian.org
Subject: Re: Bug#588538: fix kern.module_path for native kernel
Date: Fri, 9 Jul 2010 19:04:44 +0200 (CEST)
> Using a native FreeBSD kernel on Debian GNU/kFreeBSD brings trouble
> because of kern.module_path not being set early enough (it is needed
> when /etc/init.d/freebsd-utils mounts /proc). Here is a patch.

What do you mean by native FreeBSD kernel ?
The stock FreeBSD kernel without GNU/kFreeBSD patches ?
At least 007_clone_signals.diff is essential for threaded programs.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#588538; Package freebsd-utils. (Fri, 09 Jul 2010 17:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 09 Jul 2010 17:24:07 GMT) Full text and rfc822 format available.

Message #15 received at 588538@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 588538@bugs.debian.org
Subject: Re: Bug#588538: fix kern.module_path for native kernel
Date: Fri, 9 Jul 2010 19:21:10 +0200
On 7/9/10, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
>> Using a native FreeBSD kernel on Debian GNU/kFreeBSD brings trouble
>> because of kern.module_path not being set early enough (it is needed
>> when /etc/init.d/freebsd-utils mounts /proc). Here is a patch.
>
> What do you mean by native FreeBSD kernel ?
> The stock FreeBSD kernel without GNU/kFreeBSD patches ?

Yes

> At least 007_clone_signals.diff is essential for threaded programs.

:-(




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 20:54:02 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 04 Dec 2011 00:51:16 GMT) Full text and rfc822 format available.

Notification sent to Tuco <tuco.xyz@gmail.com>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 00:51:16 GMT) Full text and rfc822 format available.

Message #22 received at 588538-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 588538-close@bugs.debian.org
Subject: Bug#588538: fixed in freebsd-utils 8.2+ds3-1
Date: Sun, 04 Dec 2011 00:48:04 +0000
Source: freebsd-utils
Source-Version: 8.2+ds3-1

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

devd_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/devd_8.2+ds3-1_kfreebsd-i386.deb
freebsd-geom_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-geom_8.2+ds3-1_kfreebsd-i386.deb
freebsd-net-tools-udeb_8.2+ds3-1_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_8.2+ds3-1_kfreebsd-i386.udeb
freebsd-net-tools_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.2+ds3-1_kfreebsd-i386.deb
freebsd-nfs-common_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-common_8.2+ds3-1_kfreebsd-i386.deb
freebsd-nfs-server_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-nfs-server_8.2+ds3-1_kfreebsd-i386.deb
freebsd-ppp_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-ppp_8.2+ds3-1_kfreebsd-i386.deb
freebsd-utils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
freebsd-utils_8.2+ds3-1.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2+ds3-1.debian.tar.gz
freebsd-utils_8.2+ds3-1.dsc
  to main/f/freebsd-utils/freebsd-utils_8.2+ds3-1.dsc
freebsd-utils_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/freebsd-utils_8.2+ds3-1_kfreebsd-i386.deb
freebsd-utils_8.2+ds3.orig.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2+ds3.orig.tar.gz
kbdcontrol-udeb_8.2+ds3-1_kfreebsd-i386.udeb
  to main/f/freebsd-utils/kbdcontrol-udeb_8.2+ds3-1_kfreebsd-i386.udeb
kbdcontrol_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/kbdcontrol_8.2+ds3-1_kfreebsd-i386.deb
kldutils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
kldutils_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/kldutils_8.2+ds3-1_kfreebsd-i386.deb
ktrace_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/ktrace_8.2+ds3-1_kfreebsd-i386.deb
pf_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/pf_8.2+ds3-1_kfreebsd-i386.deb
powerd_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/powerd_8.2+ds3-1_kfreebsd-i386.deb
vidcontrol_8.2+ds3-1_kfreebsd-i386.deb
  to main/f/freebsd-utils/vidcontrol_8.2+ds3-1_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588538@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Dec 2011 21:28:32 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol kbdcontrol-udeb vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common freebsd-geom freebsd-ppp devd ktrace pf powerd
Architecture: source kfreebsd-i386
Version: 8.2+ds3-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 devd       - device state change monitoring daemon
 freebsd-geom - modular disk I/O request transformation framework
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kbdcontrol-udeb - command-line tool to change keyboard layout on GNU/kFreeBSD (udeb)
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 pf         - The OpenBSD Packet Filter
 powerd     - System utility for power control and energy saving
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 588538
Changes: 
 freebsd-utils (8.2+ds3-1) unstable; urgency=low
 .
   * Add powerd package.
   * kldutils.init: Start before "mountall" and "freebsd-utils".
     (Closes: #588538)
Checksums-Sha1: 
 d255e58fb1a0191fcd5bf3ce691276808ef80958 2603 freebsd-utils_8.2+ds3-1.dsc
 c26653f1068060c19b7b508bda29e609364252dc 1874069 freebsd-utils_8.2+ds3.orig.tar.gz
 99ef4354f0b50dead0fc73d9db45e448a6890b60 122416 freebsd-utils_8.2+ds3-1.debian.tar.gz
 4b6a5214cfb08332d20207980458e6331378f71d 255366 freebsd-utils_8.2+ds3-1_kfreebsd-i386.deb
 8026e6da6f7bbe9378468746372211c527182716 14472 freebsd-utils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 51de1dd409942046935cf6f0508923f9f8f79e08 37660 kldutils_8.2+ds3-1_kfreebsd-i386.deb
 3e7259fc432ce725a8ffb217183eb2eb7f024461 7064 kldutils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 a89f8b1acd0f49da38f152c5ea0146cd2cf9924f 125026 kbdcontrol_8.2+ds3-1_kfreebsd-i386.deb
 82bfd01f682ff4c8da20f013c2ae7e4dbc02ac99 93184 kbdcontrol-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 18167e38c2de85ad2bbca6be3005ad2f6dc58832 119896 vidcontrol_8.2+ds3-1_kfreebsd-i386.deb
 f1cda17ff2cb7e55c2d947ac3e02bd3c973fde96 211792 freebsd-net-tools_8.2+ds3-1_kfreebsd-i386.deb
 f4d0f77cf1d686febd151a5131c6e3640d021f22 77550 freebsd-net-tools-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 6ddda0d51ce84f9da2b9050cb510fefcbb538e08 66102 freebsd-nfs-server_8.2+ds3-1_kfreebsd-i386.deb
 56b8bef240b0d6562b359f6e1b16716ee93df796 76638 freebsd-nfs-common_8.2+ds3-1_kfreebsd-i386.deb
 ba79b970aa5d542869ab119159f67be8d32c83eb 156884 freebsd-geom_8.2+ds3-1_kfreebsd-i386.deb
 7f73f9ffca4b1ca9db8d8e85e35da563650501ee 281920 freebsd-ppp_8.2+ds3-1_kfreebsd-i386.deb
 64b86a634901c50ade9ffe53c64cdd83d8e08938 65360 devd_8.2+ds3-1_kfreebsd-i386.deb
 047bd7852d21b601fb292d9d441414658592500d 52660 ktrace_8.2+ds3-1_kfreebsd-i386.deb
 f78753334be95a05045995e4ae342db01726b6a9 194772 pf_8.2+ds3-1_kfreebsd-i386.deb
 fec3d2f1f341e4e03105bdde8721cb3577a8e121 32720 powerd_8.2+ds3-1_kfreebsd-i386.deb
Checksums-Sha256: 
 9a024d5f4dfceb333a4d76f075d4efcfa9af5b8a500db03021e097e1db5e4b3f 2603 freebsd-utils_8.2+ds3-1.dsc
 2676fa5ba2f55bd3d412049ca53fb1ff37603f808391194bafd6b208f17bca19 1874069 freebsd-utils_8.2+ds3.orig.tar.gz
 e360be484b10be92c449319c18e34d9ff740e3a3ff838750258418cc7a364c86 122416 freebsd-utils_8.2+ds3-1.debian.tar.gz
 302d4137e776b82db44de6e8ed466706446467b95117ba031370ef146b4f857c 255366 freebsd-utils_8.2+ds3-1_kfreebsd-i386.deb
 d9868968654c3ac1bde553522c2996dc4207784c071ac7ae4fe8f340f381a1c9 14472 freebsd-utils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 e51d416f89bf46c2f3caa6fb5a9937a29125362c77e40299083b92c3359e0afb 37660 kldutils_8.2+ds3-1_kfreebsd-i386.deb
 1dc4c3e83e9cc3c1cdba6f63c92145abbfdd4fb26eeac47afc9281167b87ee97 7064 kldutils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 53c5cbd44907c31ca66d1d40950e40f576c2c169e743129d08ebcc74679af275 125026 kbdcontrol_8.2+ds3-1_kfreebsd-i386.deb
 4ff91305a95277fc04d3b4ffabeaa7ae135b5bcf8ecd63c29d1f869ea3806f27 93184 kbdcontrol-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 882ecb254335150c3db156426e77e479e4bdcadc1d85db77709f72ca9468d975 119896 vidcontrol_8.2+ds3-1_kfreebsd-i386.deb
 cee660392cbc249192479b02c2a0a95c93144f750cb6d0fcf4099f1b7a336d4f 211792 freebsd-net-tools_8.2+ds3-1_kfreebsd-i386.deb
 3fa9f18b029bc5285cfa8faf6dbb1858d13561bdfa315b08035f12306c087ebc 77550 freebsd-net-tools-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 79aa41f06d36a37ab39b145520cbd353af9ce8a47a4db5cc02037bbf46334453 66102 freebsd-nfs-server_8.2+ds3-1_kfreebsd-i386.deb
 077c8a16444d9a2c9be74d9dcd71fcb13a938f6966b8cbaee96c428f50a33fdd 76638 freebsd-nfs-common_8.2+ds3-1_kfreebsd-i386.deb
 f2b7a5942596838a1a10cfe12d9d5c665b29f6f2b48d7205971285ce7a4c4b5f 156884 freebsd-geom_8.2+ds3-1_kfreebsd-i386.deb
 0631fef4dd502c3fdcc3793fe7cccedff945a586b95b95ea6208d36646f34304 281920 freebsd-ppp_8.2+ds3-1_kfreebsd-i386.deb
 8bf15c09961a033d85885d19e97c2f477c9a008e1fbb0e7b81f743162174e3cd 65360 devd_8.2+ds3-1_kfreebsd-i386.deb
 7dbe5226fc93d6c05195b2729b6f742d450c31359a4643e7fd57a77a9e554e5e 52660 ktrace_8.2+ds3-1_kfreebsd-i386.deb
 8bf45565e208c4a289fa2ce91ac2e333a3c7c96ae7df0c794c1beaaa7f6890ee 194772 pf_8.2+ds3-1_kfreebsd-i386.deb
 062765281f7e3c9311526a7d2bd678425e2378b5e0c12b8428f983c6efccca2a 32720 powerd_8.2+ds3-1_kfreebsd-i386.deb
Files: 
 9a6f42c1c8bf8dbbac19084f1e923a95 2603 utils important freebsd-utils_8.2+ds3-1.dsc
 7f5d9b7c1ffbf227e50ce476b3f92ab4 1874069 utils important freebsd-utils_8.2+ds3.orig.tar.gz
 9746987cae14b562c16e80130eb777e3 122416 utils important freebsd-utils_8.2+ds3-1.debian.tar.gz
 a847c80f1e2141bc137c2c754c2dc0d6 255366 utils required freebsd-utils_8.2+ds3-1_kfreebsd-i386.deb
 b7e2b343e7696d54d54850da67ed6a54 14472 debian-installer optional freebsd-utils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 e4cc6af5667ef8fed59afd5b74a59ff4 37660 utils important kldutils_8.2+ds3-1_kfreebsd-i386.deb
 6f0541c3991082db6f26af12fd05c5a5 7064 debian-installer optional kldutils-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 0f6cffb10e9acd5bbefbeea7ec0c7992 125026 utils important kbdcontrol_8.2+ds3-1_kfreebsd-i386.deb
 c0a2b555551536df61208e4cbe475ba1 93184 debian-installer important kbdcontrol-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 7d6a1248289f147fe6fd474894303485 119896 utils important vidcontrol_8.2+ds3-1_kfreebsd-i386.deb
 2018500e36b781e948d3135e71dd2db7 211792 net important freebsd-net-tools_8.2+ds3-1_kfreebsd-i386.deb
 3b42a2f796470c2b8240da1bef3d68c0 77550 debian-installer important freebsd-net-tools-udeb_8.2+ds3-1_kfreebsd-i386.udeb
 2d1d4b6618a30ef418d6d743df21f297 66102 net optional freebsd-nfs-server_8.2+ds3-1_kfreebsd-i386.deb
 7d956cab1b0bb38fa78724cac38cba1a 76638 net standard freebsd-nfs-common_8.2+ds3-1_kfreebsd-i386.deb
 0ebbaec6f3d9f25dcda0cf049c359e43 156884 admin standard freebsd-geom_8.2+ds3-1_kfreebsd-i386.deb
 a7de8b56b0836d59b6490c17bd814546 281920 net optional freebsd-ppp_8.2+ds3-1_kfreebsd-i386.deb
 c52b9e66c2d7c0a0c8bba198c1b21ff2 65360 admin important devd_8.2+ds3-1_kfreebsd-i386.deb
 92a290475f962f283f3e0c7ee61973c8 52660 utils optional ktrace_8.2+ds3-1_kfreebsd-i386.deb
 95343480c2fe2704f464e04d14bf7d16 194772 net important pf_8.2+ds3-1_kfreebsd-i386.deb
 f8c95d0989dbe2bf6f1c4e4bba3cb915 32720 admin optional powerd_8.2+ds3-1_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk7ajzIACgkQC19io6rUCv+cjgCeK7b1J8bPmTQfUwTtkwgs8K8f
hxEAn2BBiGptcYGwESc6WEHyTwCZr+uR
=46Vq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Jan 2012 07:34:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:28:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.